Kerbal Space Program - Bug #18104

Missions failing to be imported
03/17/2018 09:16 PM - Nebbie

Status: Closed Start date: 03/17/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.4.2

Version: 1.41 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Making History

Description

When | place a mission zip in the Missions folder and open up the Play Missions menu, it says that the import failed. It appears
based on the Player.log and state of the folders afterwards that the game is checking for the existence of the file after having moved
it into the _Imported folder.

History

#1 - 03/17/2018 09:17 PM - Nebbie

- Subject changed from Missions failing to be detected after import (detection path missing a folder level) to Missions failing to be detected after import
(detection seems to be looking at the original file location after moving?)

#2 - 03/17/2018 09:33 PM - Nebbie

- Subject changed from Missions failing to be detected after import (detection seems to be looking at the original file location after moving?) to
Missions failing to be detected after import (detection looking in the wrong place after file move)

There's something else really odd going on, actually. | was able to revoke write permissions on the zip, preventing the game from removing it from its
original location. With or without write permission, after it fails to import, a folder is created in KSP's main folder called
"\home\nebbie\.local\share\Steam\steamapps\common\Kerbal Space Program\KSP_Data\..\Missions\A Pinch too Much Gravity\" (the last part is the
name of the mission).

What seems to be going on is it's creating a folder with backslashes instead of forward slashes (backslashes are Windows-only, not valid in Linux or
Mac, forward slashes work in all three as Windows is slash-agnostic), thus creating just a folder with backslashes in the name rather than the
Mission's folder in the path specified, and then checking the correct path. | was able to get the mission to load by extracting the zip into the Missions
folder.

#3 - 03/17/2018 09:36 PM - Nebbie

- Subject changed from Missions failing to be detected after import (detection looking in the wrong place after file move) to Missions failing to be
imported

#4 - 03/27/2018 02:26 PM - Squelch

- Status changed from New to Being Worked On

- % Done changed from 0 to 30

#5 - 03/29/2018 10:05 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

#6 - 03/29/2018 06:30 PM - Nebbie
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Working in 1.4.2

#7 - 04/03/2018 01:25 PM - Squelch
- Status changed from Resolved to Closed

Files

Player.log 751 KB 03/17/2018 Nebbie
